Bug 149690 - kickstart.py removes /tmp/ks.cfg.new when %installclass used
kickstart.py removes /tmp/ks.cfg.new when %installclass used
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: anaconda (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-25 05:26 EST by David Lehman
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-27 13:20:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Don't remove /tmp/ks.cfg.new (330 bytes, patch)
2005-02-25 05:26 EST, David Lehman
no flags Details | Diff

  None (edit)
Description David Lehman 2005-02-25 05:26:22 EST
Created attachment 111421 [details]
Don't remove /tmp/ks.cfg.new
Comment 1 David Lehman 2005-02-25 05:26:22 EST
Description of problem:
When defining a custom installclass in the ks.cfg, the Kickstart method unlinks
the ks.cfg.new long before setInstallData (hence also readKickstart) is called.
This, of course, leads to a traceback when readKickstart tries to open the
long-gone file.

Version-Release number of selected component (if applicable):
anaconda-9.1.4.1-1.RHEL

How reproducible:
Always

Steps to Reproduce:
1. define a basic subclass of KickstartBase using %installclass in ks.cfg
2. try to use it
3.
  
Actual results:
Traceback - I can get the exact traceback on request, but all you need to do is
look at the code and you'll see it.

Expected results:
No traceback

Additional info:
Comment 2 Jeremy Katz 2005-03-14 11:57:27 EST
FWIW, I wouldn't recommend counting on this functionality.  It's undocumented
from what I remember and very likely to go away (I know for a fact that it's
never tested :)

Note You need to log in before you can comment on or make changes to this bug.